%define ocamlpck  ao

Name:          ocaml-ao
Version:       0.2.3
Release:       1mamba
Summary:       OCaml bindings to the ao library
Group:         Development/Bindings
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://savonet.sourceforge.net/
Source:        https://github.com/savonet/ocaml-ao.git/v%{version}/ocaml-ao-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libao-devel
BuildRequires: ocaml
## AUTOBUILDREQ-END
BuildRequires: ocaml
BuildRequires: ocaml-findlib

%description
OCaml bindings to the alsa library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and signature files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
dune build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
DESTDIR=%{buildroot} dune install --prefix "/usr" --libdir "%{_lib}/ocaml"

rm -rf %{buildroot}/usr/doc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/%{ocamlpck}
%{_libdir}/ocaml/%{ocamlpck}/META
%{_libdir}/ocaml/%{ocamlpck}/*.cma
%{_libdir}/ocaml/%{ocamlpck}/*.cmi
%{_libdir}/ocaml/stublibs/*.so*
%dir %{_libdir}/ocaml/ao
%{_libdir}/ocaml/ao/ao.cmt
%{_libdir}/ocaml/ao/ao.cmti
%{_libdir}/ocaml/ao/ao.cmxs
%{_libdir}/ocaml/ao/ao.ml
%{_libdir}/ocaml/ao/dune-package
%{_libdir}/ocaml/ao/opam
%doc COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/%{ocamlpck}/*.a
%{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%{_libdir}/ocaml/%{ocamlpck}/*.cmx
%{_libdir}/ocaml/%{ocamlpck}/*.mli
%doc CHANGES README.md

%changelog
* Fri Feb 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.3-1mamba
- update to 0.2.3

* Sun Jun 23 2013 Davide Madrisan <davide.madrisan@gmail.com> 0.2.0-2mamba
- install dll libs in stublibs because this directory is known by ocaml ans so we do not need to modify ld.conf

* Sun Jun 23 2013 Davide Madrisan <davide.madrisan@gmail.com> 0.2.0-1mamba
- package created by autospec
